## initramfs-tools 0.147

=== debian/changelog ===
initramfs-tools (0.147) unstable; urgency=medium

  [ Ben Hutchings ]
  * [34f9acd] hook-functions: Add reset drivers when MODULES=dep (Closes:
    #1027458)
  * [025ce79] unmkinitramfs: Create temporary directory for initramfs
    parts
  * [25b0c61] unmkinitramfs: Fix detection of EOF marker
  * [ca1a68b] unmkinitramfs: Restore split to "early" and "main"
    subdirectories (Closes: #1100008)
  * [bbbe1d3] unmkinitramfs.8: Update and expand description of multi-
    archive handling

  [ Chris Hofstaedtler ]
  * [297a9e2] hook-functions: avoid aborting in chroots
  * [319cdc9] Tighten /dev/pts permissions (Closes: #1095991)

  [ Scott Moser ]
  * [cec12d7] hook-functions: add squashfs driver (LP: #1501834)

  [ Benjamin Drung ]
  * [a6884dc] test: let run_qemu* take extra kernel parameters as single
    parameter
  * [5401bf3] test: support setting a disk label in build_fs_ext2
  * [ab1fe4e] test-common: introduce intermediate
    _run_qemu_default_devices
  * [20c564a] Add qemu-net-iscsi autopkgtest (LP: #2091904)
  * [716491a] mkinitramfs: add --version parameter
  * [65166a6] update-initramfs: add --version parameter
  * [2334de3] kernel/postinst.d: check for correct update-initramfs
    provider
  * [7ef4755] Fix spelling mistakes in d/changelog
  * [3ed4077] hook-functions: Move UFS storage drivers to block class (LP:
    #2081020)
  * [19b85a5] Filter block kernel modules by symbol regex from dracut (LP:
    #2031841)
  * [4069428] update-initramfs: add -s parameter (LP: #1466965)
  * [7f2ed35] Avoid updating the initramfs twice for some cases (LP:
    #1466965)
  * [dad2c90] test: run quick copy-file autopkgtest first
  * [32aa743] Bump Standards-Version to 4.7.2

 -- Ben Hutchings <benh@debian.org>  Fri, 28 Mar 2025 02:07:15 +0100
