=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,15 @@
 Tests: copy-file
-Restrictions: needs-root, breaks-testbed, skip-not-installable, superficial, allow-stderr
+Restrictions: needs-root, skip-not-installable, superficial, allow-stderr
 Depends: linux-image-generic, zstd, @
+
+Test-Command: ./tests/run-tests
+Depends: netplan.io, udev
+Restrictions: allow-stderr
+Features: test-name=unit-tests
 
 Tests: qemu-klibc
 Architecture: amd64 armhf s390x
-Restrictions: needs-root, breaks-testbed
+Restrictions: needs-root
 Depends: e2fsprogs,
          genext2fs,
          ipxe-qemu,
@@ -17,7 +22,7 @@
 
 Tests: qemu-busybox
 Architecture: amd64 armhf s390x
-Restrictions: needs-root, breaks-testbed
+Restrictions: needs-root
 Depends: busybox | busybox-initramfs,
          e2fsprogs,
          genext2fs,
@@ -31,7 +36,7 @@
 
 Tests: qemu-ata-only
 Architecture: amd64
-Restrictions: needs-root, breaks-testbed
+Restrictions: needs-root
 Depends: e2fsprogs,
          genext2fs,
          klibc-utils,
@@ -42,7 +47,7 @@
 
 Tests: qemu-virtio-only qemu-separate-usr qemu-panic-shell
 Architecture: amd64 arm64 armhf ppc64el s390x
-Restrictions: needs-root, breaks-testbed
+Restrictions: needs-root
 Depends: e2fsprogs,
          genext2fs,
          ipxe-qemu,
@@ -57,7 +62,7 @@
 
 Tests: qemu-net
 Architecture: amd64 arm64 armhf ppc64el s390x
-Restrictions: needs-root, breaks-testbed
+Restrictions: needs-root
 Depends: e2fsprogs,
          genext2fs,
          iproute2,
@@ -73,9 +78,27 @@
          zstd,
          @
 
+Tests: qemu-net-dnsmasq
+Architecture: amd64 armhf s390x
+Restrictions: needs-root
+Depends: e2fsprogs,
+         dnsmasq,
+         genext2fs,
+         iproute2,
+         ipxe-qemu,
+         klibc-utils,
+         linux-image-generic,
+         procps,
+         python3,
+         qemu-efi-arm [armhf],
+         qemu-kvm,
+         zstd,
+         @
+
+# qemu-net-iscsi fails on arm64: https://launchpad.net/bugs/2097568
 Tests: qemu-net-iscsi
-Architecture: amd64 arm64 armhf ppc64el s390x
-Restrictions: breaks-testbed, needs-root
+Architecture: amd64 armhf ppc64el s390x
+Restrictions: needs-root
 Depends: busybox | busybox-initramfs,
          dnsmasq,
          e2fsprogs,
