=== debian/changelog ===
initramfs-tools (0.147ubuntu1.1) plucky; urgency=medium

  * Fix missing panel modules in initramfs (LP: #2107477)
    - Fix include pattern for panel drivers if MODULES=dep
    - Include all bridge, panel and backlight drivers if MODULES=most

 -- Tobias Heider <tobias.heider@canonical.com>  Wed, 25 Jun 2025 14:50:25 +0200
