=== debian/control ===
--- 
+++ 
@@ -2,8 +2,16 @@
 Section: utils
 Priority: optional
 Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <benh@debian.org>
-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Build-Depends: bash-completion, debhelper-compat (= 13), shunit2 <!nocheck>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
+               libudev-dev,
+               netplan.io [!i386] <!nocheck>,
+               pkgconf,
+               shellcheck [!i386] <!nocheck>,
+               shunit2 <!nocheck>,
+               udev [!i386] <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
@@ -26,19 +34,30 @@
 Package: initramfs-tools-core
 Architecture: all
 Multi-Arch: foreign
-Recommends: zstd, ${busybox:Recommends}
+Recommends: zstd
 Depends: coreutils (>= 8.24),
          cpio (>= 2.12),
+         dhcpcd-base,
          dracut-install,
+         e2fsprogs,
+         initramfs-tools-bin (= ${binary:Version}),
          klibc-utils (>= 2.0.4-8~),
          kmod,
          logsave | e2fsprogs (<< 1.45.3-1~),
          udev,
+         ${busybox:Depends},
          ${misc:Depends}
-Suggests: bash-completion
-Breaks: miniramfs (<< 1.0.3~)
+Suggests: 3cpio, bash-completion
+Breaks: miniramfs (<< 1.0.2ubuntu1~)
 Description: generic modular initramfs generator (core tools)
  This package contains the mkinitramfs program that can be used to
  create a bootable initramfs for a Linux kernel.  The initramfs should
  be loaded along with the kernel and is then responsible for mounting
  the root filesystem and starting the main init system.
+
+Package: initramfs-tools-bin
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: binaries used by initramfs-tools
+ This package contains binaries used inside the initramfs images generated
+ by initramfs-tools.
