## initramfs-tools 0.148

=== debian/changelog ===
initramfs-tools (0.148) unstable; urgency=medium

  * [a797b42] unmkinitramfs: Rewrite in C to make it acceptably fast
  * [9e37d8b] Move unmkinitramfs to new initramfs-tools-bin package
  * [49f3bba] test: Add autopkgtest case for unmkinitramfs

 -- Ben Hutchings <benh@debian.org>  Wed, 28 May 2025 19:09:21 +0200
