## initramfs-tools 0.148.1

=== debian/changelog ===
initramfs-tools (0.148.1) unstable; urgency=medium

  * No-change source upload to allow propagation to testing

 -- Ben Hutchings <benh@debian.org>  Wed, 28 May 2025 20:21:18 +0200
