## initramfs-tools 0.148.2

=== debian/changelog ===
initramfs-tools (0.148.2) unstable; urgency=medium

  [ Benjamin Drung ]
  * [3becdb7] Add missing Breaks to initramfs-tools-bin (for moved
    unmkinitramfs)

  [ Bastian Blank ]
  * [2246945] Re-add s390 specific scsi drivers (Closes: #1107689)

 -- Ben Hutchings <benh@debian.org>  Fri, 13 Jun 2025 00:55:37 +0200
