## initramfs-tools 0.148.3

=== debian/changelog ===
initramfs-tools (0.148.3) unstable; urgency=medium

  [ Benjamin Drung ]
  * [e3f4fb4] Revert "Avoid updating the initramfs twice for some cases"
    (Closes: #1108204)

 -- Ben Hutchings <benh@debian.org>  Sun, 29 Jun 2025 14:08:36 +0200
