## initramfs-tools 0.148.3+rpt2

=== debian/changelog ===
initramfs-tools (0.148.3+rpt2) trixie; urgency=medium

  * [83ec91e] Change default RUNSIZE to 20%

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 21 Jul 2025 08:37:35 +0100

initramfs-tools (0.148.3+rpt1) trixie; urgency=medium

  * [ce04ab0] d/gbp.conf: set debian branch
  * [f3f2242] Run zstd with --single-thread on devices with < 1GB RAM
  * [f59ea7c] If update_initramfs=yes, update initramfs for all flavours
    of the latest rpi kernel version

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 07 Jul 2025 10:52:48 +0100
