## initramfs-tools 0.149

=== debian/changelog ===
initramfs-tools (0.149) experimental; urgency=medium

  [ Alper Nebi Yasak ]
  * [d11ba24] Handle simple-framebuffer drivers built as modules
  * [72899f8] Handle framebuffer_coreboot driver built as a module

  [ Ben Hutchings ]
  * [8104218] unmkinitramfs: Stop splitting into "early" and "main"
    subdirectories
  * [02bd63a] unmkinitramfs: Add support for lzma compression

  [ Benjamin Drung ]
  * [ea29775] hook-functions: Print error message on copy_file failure
  * [8842365] Add missing Breaks to initramfs-tools-bin (for moved
    unmkinitramfs)

  [ Tobias Heider ]
  * [6fdd131] Fix include of panel drivers if MODULES=dep
  * [d82a1e9] Include all bridge, panel and backlight drivers if
    MODULES=most

  [ Bastian Blank ]
  * [39e24fe] Re-add s390 specific scsi drivers (Closes: #1107689)

 -- Ben Hutchings <benh@debian.org>  Fri, 13 Jun 2025 00:17:33 +0200
